local old_get_skill_exp_multiplier = PlayerManager.get_skill_exp_multiplier

function PlayerManager:get_skill_exp_multiplier(...)
	local ans1 = old_get_skill_exp_multiplier(self, ...)
	local las = tostring(managers.blackmarket:equipped_player_style())
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "dinner" and las == "slaughterhouse" then
		ans1 = math.max(ans1, 1) * 10
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "pal" and las == "poolrepair" then
		ans1 = math.max(ans1, 1) * 15
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "glace" and las == "raincoat" then
		ans1 = math.max(ans1, 1) * 20
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "nmh" and las == "scrub" then
		ans1 = math.max(ans1, 1) * 25
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "wwh" and las == "winter_suit" then
		ans1 = math.max(ans1, 1) * 35
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "dah" and las == "sneak_suit" then
		ans1 = math.max(ans1, 1) * 50
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "bex" and las == "mariachi" then
		ans1 = math.max(ans1, 1) * 65
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "fex" and las == "cartelboss" then
		ans1 = math.max(ans1, 1) * 75
	if type(ans1) == "number" and Global.level_data and Global.level_data.level_id and Global.level_data.level_id == "vit" and las == "murky_suit" then
		ans1 = math.max(ans1, 1) * 100
	end
	return ans1
end